/* data.h */

#ifndef __DATA_H__
#define __DATA_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <SDL/SDL.h>
#include "defs.h"

#include <limits.h>
#ifndef PATHMAX
#define PATHMAX 4096
#endif

#ifdef macintosh        //This line check to see if macintosh has been defined
  #define DIR_SEP ":"   //#define defines DIR_SEP as a string substitutuion for ":",
  #define DIR_CUR ":"   //ie wherever DIR_SEP is used as a string value ":" will
#else                   //be used instead, "const" keyword can also be used.
  #define DIR_SEP "/"
  #define DIR_CUR  ""
#endif

#ifdef __LINUX__
  #define DSI_HISCORE DSI_SCORE_DIR DIR_SEP "hiscore"
  #define DATAFILE(X) DSI_DATA_DIR DIR_SEP X
#else
  #define DSI_HISCORE "hiscore"
  #define DATAFILE(X) DIR_CUR "data" DIR_SEP X
#endif

SDL_Surface *LoadImage(char *datafile, int transparent);
SDL_Surface *LoadImage2(char *filename, int transparent);

#ifdef __cplusplus
};
#endif

#endif
